From 57fc443b58f1cf0ed6a77f41975fb9cf0d6d4c3f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 17:28:15 +0000
Subject: [PATCH 369/1001] Only set SERVER_NAME artificially for backend components.


---

diff --git a/hubs/consumer.py b/hubs/consumer.py
index ef4b6e2..48c64f3 100755
--- a/hubs/consumer.py
+++ b/hubs/consumer.py
@@ -63,6 +63,9 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
 
         datanommer.models.init(self.hub.config['datanommer.sqlalchemy.uri'])
 
+        # XXX - for flask.url_for to work
+        hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'
+
         log.debug("CacheInvalidatorExtraordinaire initialized")
 
     def make_session(self):
diff --git a/hubs/default_config.py b/hubs/default_config.py
index a452867..a21f138 100755
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -6,5 +6,3 @@ PROMOTED_GROUPS = [
 ]
 
 HUB_OF_THE_MONTH = 'commops'
-
-SERVER_NAME = '0.0.0.0:5000'
diff --git a/hubs/worker.py b/hubs/worker.py
index 78807dc..bec32b2 100755
--- a/hubs/worker.py
+++ b/hubs/worker.py
@@ -46,6 +46,9 @@ def main(args):
     logging.config.dictConfig(config['logging'])
     logging.basicConfig()
 
+    # XXX - for flask.url_for to work
+    hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'
+
     name = config['hubs.redis.work-queue-name']
     log.info("Worker starting, connecting to retask queue %r." % name)
     queue = retask.queue.Queue(name)

